#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x93,0x43,0xF3,0x6F,0x82,0x77,0x69,0xF6,0x94,0x1C,0xAE,0x22,
		0x75,0xB0,0xA4,0xE3,0xBB,0xC1,0x30,0xEA,0x0C,0xD4,0x5A,0x7A,
		0x09,0xDB,0x82,0x81,0x2C,0xDA,0x83,0x96,0xD1,0x1D,0x99,0x47,
		0x37,0xEE,0x81,0x62,0x21,0x70,0x88,0x12,0x55,0x6F,0xB3,0x25,
		0xB6,0xC9,0xB8,0xAD,0xEF,0x35,0x90,0x02,0xDB,0xE2,0xB7,0xF3,
		0xBF,0xCD,0x15,0xB3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
